﻿//------------------------------------------------------------------------------
// <autogenerated>
//     This code was generated by a tool.
//     Runtime Version: 1.1.4322.573
//
//     Changes to this file may cause incorrect behavior and will be lost if 
//     the code is regenerated.
// </autogenerated>
//------------------------------------------------------------------------------

namespace RastreamentoWebService
{
    using System;
    using System.Data;
    using System.Xml;
    using System.Runtime.Serialization;


    [Serializable()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Diagnostics.DebuggerStepThrough()]
    [System.ComponentModel.ToolboxItem(true)]
    public class LeituraDataSet : DataSet
    {

        private sgm_LeituraDataTable tablesgm_Leitura;

        public LeituraDataSet()
        {
            this.InitClass();
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        protected LeituraDataSet(SerializationInfo info, StreamingContext context)
        {
            string strSchema = ((string)(info.GetValue("XmlSchema", typeof(string))));
            if ((strSchema != null))
            {
                DataSet ds = new DataSet();
                ds.ReadXmlSchema(new XmlTextReader(new System.IO.StringReader(strSchema)));
                if ((ds.Tables["sgm_Leitura"] != null))
                {
                    this.Tables.Add(new sgm_LeituraDataTable(ds.Tables["sgm_Leitura"]));
                }
                this.DataSetName = ds.DataSetName;
                this.Prefix = ds.Prefix;
                this.Namespace = ds.Namespace;
                this.Locale = ds.Locale;
                this.CaseSensitive = ds.CaseSensitive;
                this.EnforceConstraints = ds.EnforceConstraints;
                this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
                this.InitVars();
            }
            else
            {
                this.InitClass();
            }
            this.GetSerializationData(info, context);
            System.ComponentModel.CollectionChangeEventHandler schemaChangedHandler = new System.ComponentModel.CollectionChangeEventHandler(this.SchemaChanged);
            this.Tables.CollectionChanged += schemaChangedHandler;
            this.Relations.CollectionChanged += schemaChangedHandler;
        }

        [System.ComponentModel.Browsable(false)]
        [System.ComponentModel.DesignerSerializationVisibilityAttribute(System.ComponentModel.DesignerSerializationVisibility.Content)]
        public sgm_LeituraDataTable sgm_Leitura
        {
            get
            {
                return this.tablesgm_Leitura;
            }
        }

        public override DataSet Clone()
        {
            LeituraDataSet cln = ((LeituraDataSet)(base.Clone()));
            cln.InitVars();
            return cln;
        }

        protected override bool ShouldSerializeTables()
        {
            return false;
        }

        protected override bool ShouldSerializeRelations()
        {
            return false;
        }

        protected override void ReadXmlSerializable(XmlReader reader)
        {
            this.Reset();
            DataSet ds = new DataSet();
            ds.ReadXml(reader);
            if ((ds.Tables["sgm_Leitura"] != null))
            {
                this.Tables.Add(new sgm_LeituraDataTable(ds.Tables["sgm_Leitura"]));
            }
            this.DataSetName = ds.DataSetName;
            this.Prefix = ds.Prefix;
            this.Namespace = ds.Namespace;
            this.Locale = ds.Locale;
            this.CaseSensitive = ds.CaseSensitive;
            this.EnforceConstraints = ds.EnforceConstraints;
            this.Merge(ds, false, System.Data.MissingSchemaAction.Add);
            this.InitVars();
        }

        protected override System.Xml.Schema.XmlSchema GetSchemaSerializable()
        {
            System.IO.MemoryStream stream = new System.IO.MemoryStream();
            this.WriteXmlSchema(new XmlTextWriter(stream, null));
            stream.Position = 0;
            return System.Xml.Schema.XmlSchema.Read(new XmlTextReader(stream), null);
        }

        internal void InitVars()
        {
            this.tablesgm_Leitura = ((sgm_LeituraDataTable)(this.Tables["sgm_Leitura"]));
            if ((this.tablesgm_Leitura != null))
            {
                this.tablesgm_Leitura.InitVars();
            }
        }

        private void InitClass()
        {
            this.DataSetName = "LeituraDataSet";
            this.Prefix = "";
            this.Namespace = "http://tempuri.org/LeituraDataSet.xsd";
            this.Locale = new System.Globalization.CultureInfo("en-US");
            this.CaseSensitive = false;
            this.EnforceConstraints = true;
            this.tablesgm_Leitura = new sgm_LeituraDataTable();
            this.Tables.Add(this.tablesgm_Leitura);
        }

        private bool ShouldSerializesgm_Leitura()
        {
            return false;
        }

        private void SchemaChanged(object sender, System.ComponentModel.CollectionChangeEventArgs e)
        {
            if ((e.Action == System.ComponentModel.CollectionChangeAction.Remove))
            {
                this.InitVars();
            }
        }

        public delegate void sgm_LeituraRowChangeEventHandler(object sender, sgm_LeituraRowChangeEvent e);

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_LeituraDataTable : DataTable, System.Collections.IEnumerable
        {

            private DataColumn columnId_Ponto_Entrega;

            private DataColumn columnId_Leitura;

            private DataColumn columnDia;

            private DataColumn columnMes;

            private DataColumn columnAno;

            private DataColumn columnHora;

            private DataColumn columnMinuto;

            private DataColumn columnSegundo;

            private DataColumn columnId_Tipo_Medicao;

            private DataColumn columnId_Leiturista;

            private DataColumn columnTotalizacao_Minuto;

            private DataColumn columnPressao;

            private DataColumn columnTemperatura;

            private DataColumn columnVolume_Lido;

            private DataColumn columnVolume_Corrigido_Dia;

            private DataColumn columnVolume_Corrigido_Hora;

            private DataColumn columnData_Inclusao;

            private DataColumn columnFlag_Status;

            private DataColumn columnData_Conferencia;

            private DataColumn columnflag_Corrigido;

            private DataColumn columnData_Corrigido;

            private DataColumn columnId_Leitura_Anterior;

            private DataColumn columnData_Referencia;

            private DataColumn columnPressao_CV;

            private DataColumn columnTemperatura_CV;

            private DataColumn columnVolume_CV;

            private DataColumn columnObservacoes;

            private DataColumn columnf_Consumo;

            private DataColumn columnPressao_Conversor;

            private DataColumn columnTemperatura_Conversor;

            private DataColumn columnVolume_Conversor;

            private DataColumn columnflag_Faturar;

            internal sgm_LeituraDataTable() :
                    base("sgm_Leitura")
            {
                this.InitClass();
            }

            internal sgm_LeituraDataTable(DataTable table) :
                    base(table.TableName)
            {
                if ((table.CaseSensitive != table.DataSet.CaseSensitive))
                {
                    this.CaseSensitive = table.CaseSensitive;
                }
                if ((table.Locale.ToString() != table.DataSet.Locale.ToString()))
                {
                    this.Locale = table.Locale;
                }
                if ((table.Namespace != table.DataSet.Namespace))
                {
                    this.Namespace = table.Namespace;
                }
                this.Prefix = table.Prefix;
                this.MinimumCapacity = table.MinimumCapacity;
                this.DisplayExpression = table.DisplayExpression;
            }

            [System.ComponentModel.Browsable(false)]
            public int Count
            {
                get
                {
                    return this.Rows.Count;
                }
            }

            internal DataColumn Id_Ponto_EntregaColumn
            {
                get
                {
                    return this.columnId_Ponto_Entrega;
                }
            }

            internal DataColumn Id_LeituraColumn
            {
                get
                {
                    return this.columnId_Leitura;
                }
            }

            internal DataColumn DiaColumn
            {
                get
                {
                    return this.columnDia;
                }
            }

            internal DataColumn MesColumn
            {
                get
                {
                    return this.columnMes;
                }
            }

            internal DataColumn AnoColumn
            {
                get
                {
                    return this.columnAno;
                }
            }

            internal DataColumn HoraColumn
            {
                get
                {
                    return this.columnHora;
                }
            }

            internal DataColumn MinutoColumn
            {
                get
                {
                    return this.columnMinuto;
                }
            }

            internal DataColumn SegundoColumn
            {
                get
                {
                    return this.columnSegundo;
                }
            }

            internal DataColumn Id_Tipo_MedicaoColumn
            {
                get
                {
                    return this.columnId_Tipo_Medicao;
                }
            }

            internal DataColumn Id_LeituristaColumn
            {
                get
                {
                    return this.columnId_Leiturista;
                }
            }

            internal DataColumn Totalizacao_MinutoColumn
            {
                get
                {
                    return this.columnTotalizacao_Minuto;
                }
            }

            internal DataColumn PressaoColumn
            {
                get
                {
                    return this.columnPressao;
                }
            }

            internal DataColumn TemperaturaColumn
            {
                get
                {
                    return this.columnTemperatura;
                }
            }

            internal DataColumn Volume_LidoColumn
            {
                get
                {
                    return this.columnVolume_Lido;
                }
            }

            internal DataColumn Volume_Corrigido_DiaColumn
            {
                get
                {
                    return this.columnVolume_Corrigido_Dia;
                }
            }

            internal DataColumn Volume_Corrigido_HoraColumn
            {
                get
                {
                    return this.columnVolume_Corrigido_Hora;
                }
            }

            internal DataColumn Data_InclusaoColumn
            {
                get
                {
                    return this.columnData_Inclusao;
                }
            }

            internal DataColumn Flag_StatusColumn
            {
                get
                {
                    return this.columnFlag_Status;
                }
            }

            internal DataColumn Data_ConferenciaColumn
            {
                get
                {
                    return this.columnData_Conferencia;
                }
            }

            internal DataColumn flag_CorrigidoColumn
            {
                get
                {
                    return this.columnflag_Corrigido;
                }
            }

            internal DataColumn Data_CorrigidoColumn
            {
                get
                {
                    return this.columnData_Corrigido;
                }
            }

            internal DataColumn Id_Leitura_AnteriorColumn
            {
                get
                {
                    return this.columnId_Leitura_Anterior;
                }
            }

            internal DataColumn Data_ReferenciaColumn
            {
                get
                {
                    return this.columnData_Referencia;
                }
            }

            internal DataColumn Pressao_CVColumn
            {
                get
                {
                    return this.columnPressao_CV;
                }
            }

            internal DataColumn Temperatura_CVColumn
            {
                get
                {
                    return this.columnTemperatura_CV;
                }
            }

            internal DataColumn Volume_CVColumn
            {
                get
                {
                    return this.columnVolume_CV;
                }
            }

            internal DataColumn ObservacoesColumn
            {
                get
                {
                    return this.columnObservacoes;
                }
            }

            internal DataColumn f_ConsumoColumn
            {
                get
                {
                    return this.columnf_Consumo;
                }
            }

            internal DataColumn Pressao_ConversorColumn
            {
                get
                {
                    return this.columnPressao_Conversor;
                }
            }

            internal DataColumn Temperatura_ConversorColumn
            {
                get
                {
                    return this.columnTemperatura_Conversor;
                }
            }

            internal DataColumn Volume_ConversorColumn
            {
                get
                {
                    return this.columnVolume_Conversor;
                }
            }

            internal DataColumn flag_FaturarColumn
            {
                get
                {
                    return this.columnflag_Faturar;
                }
            }

            public sgm_LeituraRow this[int index]
            {
                get
                {
                    return ((sgm_LeituraRow)(this.Rows[index]));
                }
            }

            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowChanged;

            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowChanging;

            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowDeleted;

            public event sgm_LeituraRowChangeEventHandler sgm_LeituraRowDeleting;

            public void Addsgm_LeituraRow(sgm_LeituraRow row)
            {
                this.Rows.Add(row);
            }

            public sgm_LeituraRow Addsgm_LeituraRow(
                        int Id_Ponto_Entrega,
                        int Dia,
                        int Mes,
                        int Ano,
                        int Hora,
                        int Minuto,
                        int Segundo,
                        int Id_Tipo_Medicao,
                        int Id_Leiturista,
                        System.Decimal Totalizacao_Minuto,
                        System.Decimal Pressao,
                        System.Decimal Temperatura,
                        System.Decimal Volume_Lido,
                        System.Decimal Volume_Corrigido_Dia,
                        System.Decimal Volume_Corrigido_Hora,
                        System.DateTime Data_Inclusao,
                        bool Flag_Status,
                        System.DateTime Data_Conferencia,
                        bool flag_Corrigido,
                        System.DateTime Data_Corrigido,
                        int Id_Leitura_Anterior,
                        System.DateTime Data_Referencia,
                        System.Decimal Pressao_CV,
                        System.Decimal Temperatura_CV,
                        System.Decimal Volume_CV,
                        string Observacoes,
                        bool f_Consumo,
                        System.Decimal Pressao_Conversor,
                        System.Decimal Temperatura_Conversor,
                        System.Decimal Volume_Conversor,
                        bool flag_Faturar)
            {
                sgm_LeituraRow rowsgm_LeituraRow = ((sgm_LeituraRow)(this.NewRow()));
                rowsgm_LeituraRow.ItemArray = new object[] {
                        Id_Ponto_Entrega,
                        null,
                        Dia,
                        Mes,
                        Ano,
                        Hora,
                        Minuto,
                        Segundo,
                        Id_Tipo_Medicao,
                        Id_Leiturista,
                        Totalizacao_Minuto,
                        Pressao,
                        Temperatura,
                        Volume_Lido,
                        Volume_Corrigido_Dia,
                        Volume_Corrigido_Hora,
                        Data_Inclusao,
                        Flag_Status,
                        Data_Conferencia,
                        flag_Corrigido,
                        Data_Corrigido,
                        Id_Leitura_Anterior,
                        Data_Referencia,
                        Pressao_CV,
                        Temperatura_CV,
                        Volume_CV,
                        Observacoes,
                        f_Consumo,
                        Pressao_Conversor,
                        Temperatura_Conversor,
                        Volume_Conversor,
                        flag_Faturar};
                this.Rows.Add(rowsgm_LeituraRow);
                return rowsgm_LeituraRow;
            }

            public sgm_LeituraRow FindById_Ponto_EntregaId_Leitura(int Id_Ponto_Entrega, int Id_Leitura)
            {
                return ((sgm_LeituraRow)(this.Rows.Find(new object[] {
                            Id_Ponto_Entrega,
                            Id_Leitura})));
            }

            public System.Collections.IEnumerator GetEnumerator()
            {
                return this.Rows.GetEnumerator();
            }

            public override DataTable Clone()
            {
                sgm_LeituraDataTable cln = ((sgm_LeituraDataTable)(base.Clone()));
                cln.InitVars();
                return cln;
            }

            protected override DataTable CreateInstance()
            {
                return new sgm_LeituraDataTable();
            }

            internal void InitVars()
            {
                this.columnId_Ponto_Entrega = this.Columns["Id_Ponto_Entrega"];
                this.columnId_Leitura = this.Columns["Id_Leitura"];
                this.columnDia = this.Columns["Dia"];
                this.columnMes = this.Columns["Mes"];
                this.columnAno = this.Columns["Ano"];
                this.columnHora = this.Columns["Hora"];
                this.columnMinuto = this.Columns["Minuto"];
                this.columnSegundo = this.Columns["Segundo"];
                this.columnId_Tipo_Medicao = this.Columns["Id_Tipo_Medicao"];
                this.columnId_Leiturista = this.Columns["Id_Leiturista"];
                this.columnTotalizacao_Minuto = this.Columns["Totalizacao_Minuto"];
                this.columnPressao = this.Columns["Pressao"];
                this.columnTemperatura = this.Columns["Temperatura"];
                this.columnVolume_Lido = this.Columns["Volume_Lido"];
                this.columnVolume_Corrigido_Dia = this.Columns["Volume_Corrigido_Dia"];
                this.columnVolume_Corrigido_Hora = this.Columns["Volume_Corrigido_Hora"];
                this.columnData_Inclusao = this.Columns["Data_Inclusao"];
                this.columnFlag_Status = this.Columns["Flag_Status"];
                this.columnData_Conferencia = this.Columns["Data_Conferencia"];
                this.columnflag_Corrigido = this.Columns["flag_Corrigido"];
                this.columnData_Corrigido = this.Columns["Data_Corrigido"];
                this.columnId_Leitura_Anterior = this.Columns["Id_Leitura_Anterior"];
                this.columnData_Referencia = this.Columns["Data_Referencia"];
                this.columnPressao_CV = this.Columns["Pressao_CV"];
                this.columnTemperatura_CV = this.Columns["Temperatura_CV"];
                this.columnVolume_CV = this.Columns["Volume_CV"];
                this.columnObservacoes = this.Columns["Observacoes"];
                this.columnf_Consumo = this.Columns["f_Consumo"];
                this.columnPressao_Conversor = this.Columns["Pressao_Conversor"];
                this.columnTemperatura_Conversor = this.Columns["Temperatura_Conversor"];
                this.columnVolume_Conversor = this.Columns["Volume_Conversor"];
                this.columnflag_Faturar = this.Columns["flag_Faturar"];
            }

            private void InitClass()
            {
                this.columnId_Ponto_Entrega = new DataColumn("Id_Ponto_Entrega", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Ponto_Entrega);
                this.columnId_Leitura = new DataColumn("Id_Leitura", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Leitura);
                this.columnDia = new DataColumn("Dia", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnDia);
                this.columnMes = new DataColumn("Mes", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnMes);
                this.columnAno = new DataColumn("Ano", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnAno);
                this.columnHora = new DataColumn("Hora", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnHora);
                this.columnMinuto = new DataColumn("Minuto", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnMinuto);
                this.columnSegundo = new DataColumn("Segundo", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnSegundo);
                this.columnId_Tipo_Medicao = new DataColumn("Id_Tipo_Medicao", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Tipo_Medicao);
                this.columnId_Leiturista = new DataColumn("Id_Leiturista", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Leiturista);
                this.columnTotalizacao_Minuto = new DataColumn("Totalizacao_Minuto", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTotalizacao_Minuto);
                this.columnPressao = new DataColumn("Pressao", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPressao);
                this.columnTemperatura = new DataColumn("Temperatura", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTemperatura);
                this.columnVolume_Lido = new DataColumn("Volume_Lido", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVolume_Lido);
                this.columnVolume_Corrigido_Dia = new DataColumn("Volume_Corrigido_Dia", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVolume_Corrigido_Dia);
                this.columnVolume_Corrigido_Hora = new DataColumn("Volume_Corrigido_Hora", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVolume_Corrigido_Hora);
                this.columnData_Inclusao = new DataColumn("Data_Inclusao", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Inclusao);
                this.columnFlag_Status = new DataColumn("Flag_Status", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnFlag_Status);
                this.columnData_Conferencia = new DataColumn("Data_Conferencia", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Conferencia);
                this.columnflag_Corrigido = new DataColumn("flag_Corrigido", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Corrigido);
                this.columnData_Corrigido = new DataColumn("Data_Corrigido", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Corrigido);
                this.columnId_Leitura_Anterior = new DataColumn("Id_Leitura_Anterior", typeof(int), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnId_Leitura_Anterior);
                this.columnData_Referencia = new DataColumn("Data_Referencia", typeof(System.DateTime), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnData_Referencia);
                this.columnPressao_CV = new DataColumn("Pressao_CV", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPressao_CV);
                this.columnTemperatura_CV = new DataColumn("Temperatura_CV", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTemperatura_CV);
                this.columnVolume_CV = new DataColumn("Volume_CV", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVolume_CV);
                this.columnObservacoes = new DataColumn("Observacoes", typeof(string), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnObservacoes);
                this.columnf_Consumo = new DataColumn("f_Consumo", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnf_Consumo);
                this.columnPressao_Conversor = new DataColumn("Pressao_Conversor", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnPressao_Conversor);
                this.columnTemperatura_Conversor = new DataColumn("Temperatura_Conversor", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnTemperatura_Conversor);
                this.columnVolume_Conversor = new DataColumn("Volume_Conversor", typeof(System.Decimal), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnVolume_Conversor);
                this.columnflag_Faturar = new DataColumn("flag_Faturar", typeof(bool), null, System.Data.MappingType.Element);
                this.Columns.Add(this.columnflag_Faturar);
                this.Constraints.Add(new UniqueConstraint("LeituraDataSetKey1", new DataColumn[] {
                                this.columnId_Ponto_Entrega,
                                this.columnId_Leitura}, true));
                this.columnId_Ponto_Entrega.AllowDBNull = false;
                this.columnId_Leitura.AutoIncrement = true;
                this.columnId_Leitura.AllowDBNull = false;
                this.columnId_Leitura.ReadOnly = true;
                this.columnDia.AllowDBNull = false;
                this.columnMes.AllowDBNull = false;
                this.columnAno.AllowDBNull = false;
                this.columnHora.AllowDBNull = false;
                this.columnMinuto.AllowDBNull = false;
                this.columnSegundo.AllowDBNull = false;
                this.columnId_Tipo_Medicao.AllowDBNull = false;
                this.columnPressao.AllowDBNull = false;
                this.columnTemperatura.AllowDBNull = false;
                this.columnVolume_Lido.AllowDBNull = false;
            }

            public sgm_LeituraRow Newsgm_LeituraRow()
            {
                return ((sgm_LeituraRow)(this.NewRow()));
            }

            protected override DataRow NewRowFromBuilder(DataRowBuilder builder)
            {
                return new sgm_LeituraRow(builder);
            }

            protected override System.Type GetRowType()
            {
                return typeof(sgm_LeituraRow);
            }

            protected override void OnRowChanged(DataRowChangeEventArgs e)
            {
                base.OnRowChanged(e);
                if ((this.sgm_LeituraRowChanged != null))
                {
                    this.sgm_LeituraRowChanged(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowChanging(DataRowChangeEventArgs e)
            {
                base.OnRowChanging(e);
                if ((this.sgm_LeituraRowChanging != null))
                {
                    this.sgm_LeituraRowChanging(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleted(DataRowChangeEventArgs e)
            {
                base.OnRowDeleted(e);
                if ((this.sgm_LeituraRowDeleted != null))
                {
                    this.sgm_LeituraRowDeleted(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }

            protected override void OnRowDeleting(DataRowChangeEventArgs e)
            {
                base.OnRowDeleting(e);
                if ((this.sgm_LeituraRowDeleting != null))
                {
                    this.sgm_LeituraRowDeleting(this, new sgm_LeituraRowChangeEvent(((sgm_LeituraRow)(e.Row)), e.Action));
                }
            }

            public void Removesgm_LeituraRow(sgm_LeituraRow row)
            {
                this.Rows.Remove(row);
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_LeituraRow : DataRow
        {

            private sgm_LeituraDataTable tablesgm_Leitura;

            internal sgm_LeituraRow(DataRowBuilder rb) :
                    base(rb)
            {
                this.tablesgm_Leitura = ((sgm_LeituraDataTable)(this.Table));
            }

            public int Id_Ponto_Entrega
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.Id_Ponto_EntregaColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.Id_Ponto_EntregaColumn] = value;
                }
            }

            public int Id_Leitura
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.Id_LeituraColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.Id_LeituraColumn] = value;
                }
            }

            public int Dia
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.DiaColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.DiaColumn] = value;
                }
            }

            public int Mes
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.MesColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.MesColumn] = value;
                }
            }

            public int Ano
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.AnoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.AnoColumn] = value;
                }
            }

            public int Hora
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.HoraColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.HoraColumn] = value;
                }
            }

            public int Minuto
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.MinutoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.MinutoColumn] = value;
                }
            }

            public int Segundo
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.SegundoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.SegundoColumn] = value;
                }
            }

            public int Id_Tipo_Medicao
            {
                get
                {
                    return ((int)(this[this.tablesgm_Leitura.Id_Tipo_MedicaoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.Id_Tipo_MedicaoColumn] = value;
                }
            }

            public int Id_Leiturista
            {
                get
                {
                    try
                    {
                        return ((int)(this[this.tablesgm_Leitura.Id_LeituristaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Id_LeituristaColumn] = value;
                }
            }

            public System.Decimal Totalizacao_Minuto
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Totalizacao_MinutoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Totalizacao_MinutoColumn] = value;
                }
            }

            public System.Decimal Pressao
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Leitura.PressaoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.PressaoColumn] = value;
                }
            }

            public System.Decimal Temperatura
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Leitura.TemperaturaColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.TemperaturaColumn] = value;
                }
            }

            public System.Decimal Volume_Lido
            {
                get
                {
                    return ((System.Decimal)(this[this.tablesgm_Leitura.Volume_LidoColumn]));
                }
                set
                {
                    this[this.tablesgm_Leitura.Volume_LidoColumn] = value;
                }
            }

            public System.Decimal Volume_Corrigido_Dia
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Volume_Corrigido_DiaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Volume_Corrigido_DiaColumn] = value;
                }
            }

            public System.Decimal Volume_Corrigido_Hora
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Volume_Corrigido_HoraColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Volume_Corrigido_HoraColumn] = value;
                }
            }

            public System.DateTime Data_Inclusao
            {
                get
                {
                    try
                    {
                        return ((System.DateTime)(this[this.tablesgm_Leitura.Data_InclusaoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Data_InclusaoColumn] = value;
                }
            }

            public bool Flag_Status
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Leitura.Flag_StatusColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Flag_StatusColumn] = value;
                }
            }

            public System.DateTime Data_Conferencia
            {
                get
                {
                    try
                    {
                        return ((System.DateTime)(this[this.tablesgm_Leitura.Data_ConferenciaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Data_ConferenciaColumn] = value;
                }
            }

            public bool flag_Corrigido
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Leitura.flag_CorrigidoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.flag_CorrigidoColumn] = value;
                }
            }

            public System.DateTime Data_Corrigido
            {
                get
                {
                    try
                    {
                        return ((System.DateTime)(this[this.tablesgm_Leitura.Data_CorrigidoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Data_CorrigidoColumn] = value;
                }
            }

            public int Id_Leitura_Anterior
            {
                get
                {
                    try
                    {
                        return ((int)(this[this.tablesgm_Leitura.Id_Leitura_AnteriorColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Id_Leitura_AnteriorColumn] = value;
                }
            }

            public System.DateTime Data_Referencia
            {
                get
                {
                    try
                    {
                        return ((System.DateTime)(this[this.tablesgm_Leitura.Data_ReferenciaColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Data_ReferenciaColumn] = value;
                }
            }

            public System.Decimal Pressao_CV
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Pressao_CVColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Pressao_CVColumn] = value;
                }
            }

            public System.Decimal Temperatura_CV
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Temperatura_CVColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Temperatura_CVColumn] = value;
                }
            }

            public System.Decimal Volume_CV
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Volume_CVColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Volume_CVColumn] = value;
                }
            }

            public string Observacoes
            {
                get
                {
                    try
                    {
                        return ((string)(this[this.tablesgm_Leitura.ObservacoesColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.ObservacoesColumn] = value;
                }
            }

            public bool f_Consumo
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Leitura.f_ConsumoColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.f_ConsumoColumn] = value;
                }
            }

            public System.Decimal Pressao_Conversor
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Pressao_ConversorColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Pressao_ConversorColumn] = value;
                }
            }

            public System.Decimal Temperatura_Conversor
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Temperatura_ConversorColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Temperatura_ConversorColumn] = value;
                }
            }

            public System.Decimal Volume_Conversor
            {
                get
                {
                    try
                    {
                        return ((System.Decimal)(this[this.tablesgm_Leitura.Volume_ConversorColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.Volume_ConversorColumn] = value;
                }
            }

            public bool flag_Faturar
            {
                get
                {
                    try
                    {
                        return ((bool)(this[this.tablesgm_Leitura.flag_FaturarColumn]));
                    }
                    catch (InvalidCastException e)
                    {
                        throw new StrongTypingException("Cannot get value because it is DBNull.", e);
                    }
                }
                set
                {
                    this[this.tablesgm_Leitura.flag_FaturarColumn] = value;
                }
            }

            public bool IsId_LeituristaNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Id_LeituristaColumn);
            }

            public void SetId_LeituristaNull()
            {
                this[this.tablesgm_Leitura.Id_LeituristaColumn] = System.Convert.DBNull;
            }

            public bool IsTotalizacao_MinutoNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Totalizacao_MinutoColumn);
            }

            public void SetTotalizacao_MinutoNull()
            {
                this[this.tablesgm_Leitura.Totalizacao_MinutoColumn] = System.Convert.DBNull;
            }

            public bool IsVolume_Corrigido_DiaNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Volume_Corrigido_DiaColumn);
            }

            public void SetVolume_Corrigido_DiaNull()
            {
                this[this.tablesgm_Leitura.Volume_Corrigido_DiaColumn] = System.Convert.DBNull;
            }

            public bool IsVolume_Corrigido_HoraNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Volume_Corrigido_HoraColumn);
            }

            public void SetVolume_Corrigido_HoraNull()
            {
                this[this.tablesgm_Leitura.Volume_Corrigido_HoraColumn] = System.Convert.DBNull;
            }

            public bool IsData_InclusaoNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Data_InclusaoColumn);
            }

            public void SetData_InclusaoNull()
            {
                this[this.tablesgm_Leitura.Data_InclusaoColumn] = System.Convert.DBNull;
            }

            public bool IsFlag_StatusNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Flag_StatusColumn);
            }

            public void SetFlag_StatusNull()
            {
                this[this.tablesgm_Leitura.Flag_StatusColumn] = System.Convert.DBNull;
            }

            public bool IsData_ConferenciaNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Data_ConferenciaColumn);
            }

            public void SetData_ConferenciaNull()
            {
                this[this.tablesgm_Leitura.Data_ConferenciaColumn] = System.Convert.DBNull;
            }

            public bool Isflag_CorrigidoNull()
            {
                return this.IsNull(this.tablesgm_Leitura.flag_CorrigidoColumn);
            }

            public void Setflag_CorrigidoNull()
            {
                this[this.tablesgm_Leitura.flag_CorrigidoColumn] = System.Convert.DBNull;
            }

            public bool IsData_CorrigidoNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Data_CorrigidoColumn);
            }

            public void SetData_CorrigidoNull()
            {
                this[this.tablesgm_Leitura.Data_CorrigidoColumn] = System.Convert.DBNull;
            }

            public bool IsId_Leitura_AnteriorNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Id_Leitura_AnteriorColumn);
            }

            public void SetId_Leitura_AnteriorNull()
            {
                this[this.tablesgm_Leitura.Id_Leitura_AnteriorColumn] = System.Convert.DBNull;
            }

            public bool IsData_ReferenciaNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Data_ReferenciaColumn);
            }

            public void SetData_ReferenciaNull()
            {
                this[this.tablesgm_Leitura.Data_ReferenciaColumn] = System.Convert.DBNull;
            }

            public bool IsPressao_CVNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Pressao_CVColumn);
            }

            public void SetPressao_CVNull()
            {
                this[this.tablesgm_Leitura.Pressao_CVColumn] = System.Convert.DBNull;
            }

            public bool IsTemperatura_CVNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Temperatura_CVColumn);
            }

            public void SetTemperatura_CVNull()
            {
                this[this.tablesgm_Leitura.Temperatura_CVColumn] = System.Convert.DBNull;
            }

            public bool IsVolume_CVNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Volume_CVColumn);
            }

            public void SetVolume_CVNull()
            {
                this[this.tablesgm_Leitura.Volume_CVColumn] = System.Convert.DBNull;
            }

            public bool IsObservacoesNull()
            {
                return this.IsNull(this.tablesgm_Leitura.ObservacoesColumn);
            }

            public void SetObservacoesNull()
            {
                this[this.tablesgm_Leitura.ObservacoesColumn] = System.Convert.DBNull;
            }

            public bool Isf_ConsumoNull()
            {
                return this.IsNull(this.tablesgm_Leitura.f_ConsumoColumn);
            }

            public void Setf_ConsumoNull()
            {
                this[this.tablesgm_Leitura.f_ConsumoColumn] = System.Convert.DBNull;
            }

            public bool IsPressao_ConversorNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Pressao_ConversorColumn);
            }

            public void SetPressao_ConversorNull()
            {
                this[this.tablesgm_Leitura.Pressao_ConversorColumn] = System.Convert.DBNull;
            }

            public bool IsTemperatura_ConversorNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Temperatura_ConversorColumn);
            }

            public void SetTemperatura_ConversorNull()
            {
                this[this.tablesgm_Leitura.Temperatura_ConversorColumn] = System.Convert.DBNull;
            }

            public bool IsVolume_ConversorNull()
            {
                return this.IsNull(this.tablesgm_Leitura.Volume_ConversorColumn);
            }

            public void SetVolume_ConversorNull()
            {
                this[this.tablesgm_Leitura.Volume_ConversorColumn] = System.Convert.DBNull;
            }

            public bool Isflag_FaturarNull()
            {
                return this.IsNull(this.tablesgm_Leitura.flag_FaturarColumn);
            }

            public void Setflag_FaturarNull()
            {
                this[this.tablesgm_Leitura.flag_FaturarColumn] = System.Convert.DBNull;
            }
        }

        [System.Diagnostics.DebuggerStepThrough()]
        public class sgm_LeituraRowChangeEvent : EventArgs
        {

            private sgm_LeituraRow eventRow;

            private DataRowAction eventAction;

            public sgm_LeituraRowChangeEvent(sgm_LeituraRow row, DataRowAction action)
            {
                this.eventRow = row;
                this.eventAction = action;
            }

            public sgm_LeituraRow Row
            {
                get
                {
                    return this.eventRow;
                }
            }

            public DataRowAction Action
            {
                get
                {
                    return this.eventAction;
                }
            }
        }
    }
}
